#ifndef __CSERIAL_H__
#define __CSERIAL_H__


#include "StdAfx.h"

#define MAXSTRINGLENGTH 1024



class CSerial {
private:
	DWORD dwDefaultDword;
	HANDLE portHdl;
	char errStr[MAXSTRINGLENGTH];

public:
	BOOL Length(DWORD* len=NULL);
	BOOL PutSignedLong(signed long* LONGVal);
	BOOL GetSignedLong(signed long * LONGVal, DWORD timeout);
	BOOL GetUnsignedShort( unsigned short *USHORTval, DWORD timeout);
	BOOL PutUnsignedShort(unsigned short* SHORTVal);
	BOOL PutSignedShort(signed short *SHORTval);
	BOOL GetSignedShort(signed short *SHORTval, DWORD timeout);
	BOOL ReadSerialLine(CHAR* buffer, DWORD timeout, DWORD* charsRead);
	BOOL SerialBytesIn(CHAR* buffer, DWORD charCnt, DWORD* charRead, DWORD timeout);
	BOOL SerialBytesOut(CHAR* buffer, DWORD charCnt,DWORD* charOutCnt=NULL);
	BOOL Disconnect(void);
	CSerial(void);
	~CSerial(void);
	BOOL Connect(LPCSTR portName, LPCSTR mode);
	//BOOL Length(DWORD* len);
	//DWORD GetChar(char*);
	//DWORD GetStr(char*, DWORD);
	//char GetCharTimeout(BOOL *t);

	//void PutChar(char c);
	BOOL SerialStringOut(char *str, DWORD* num_written=NULL);
	BOOL FlushOutputBuffer(void);
	BOOL FlushInputBuffer(void);
	COMMTIMEOUTS  time_out_control;
};

#endif	// __CSERIAL_H__