/***********************************************************
 * LOOKMSG
 *
 * Checks for event occurence while an endless loop
 * is running.  Allows the user to exit the program by
 * causing a Keypress Event.  
 *
 * Copyright 1997 David Sarnoff Research Center
 * All Rights Reserved
 * Shop Order: 14229
 * Author: jeledath
 ***********************************************************/

#ifdef VERSION_VAR
#ifndef lint
static const char *rcsid="@(#) $Id: lookmsg.cpp,v 1.3 1997/07/30 16:10:31 jeledath Exp $";
#endif /*lint*/
#endif /*VERSION_VAR*/

//#include <afxwin.h>
//#include <afxext.h>
#include <stdafx.h>
#include <winbase.h>

void lookmsg() {
	MSG message;
	if (::PeekMessage(&message, NULL, 0, 0, PM_REMOVE)) {
		::TranslateMessage(&message);
		::DispatchMessage(&message);
	}
}





