// visca98View.h : interface of the CVisca98View class
//
/////////////////////////////////////////////////////////////////////////////

#include "CMil.h"
#include "CVisca98.h"
#include "Visca98Dlg.h"

#if !defined(AFX_VISCA98VIEW_H__2F851F92_2588_11D2_882C_00104B751035__INCLUDED_)
#define AFX_VISCA98VIEW_H__2F851F92_2588_11D2_882C_00104B751035__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CVisca98View : public CView
{
protected: // create from serialization only
	CVisca98View();
	DECLARE_DYNCREATE(CVisca98View)

// Attributes
public:
	CVisca98Doc* GetDocument();

// Operations
public:
	CMil	mil;

	bool	mil_open;
	bool	visca_open;
	CVisca98	visca;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVisca98View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CVisca98View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CVisca98View)
	afx_msg void OnMilEnd();
	afx_msg void OnUpdateMilEnd(CCmdUI* pCmdUI);
	afx_msg void OnMilStart();
	afx_msg void OnUpdateMilStart(CCmdUI* pCmdUI);
	afx_msg void OnViscaViscaParameters();
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in visca98View.cpp
inline CVisca98Doc* CVisca98View::GetDocument()
   { return (CVisca98Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VISCA98VIEW_H__2F851F92_2588_11D2_882C_00104B751035__INCLUDED_)
