// Visca98Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "visca98.h"
#include "Visca98Dlg.h"
#include "winprintf.h"

extern void	lookmsg();

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVisca98Dlg dialog


CVisca98Dlg::CVisca98Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVisca98Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVisca98Dlg)
	m_aemode = -1;
	m_focus_mode = -1;
	m_wbmode = -1;
	m_text_camera_type = _T("");
	m_text_focus_speed = _T("");
	m_text_gain = _T("");
	m_text_iris = _T("");
	m_text_shutter = _T("");
	m_text_zoom_speed = _T("");
	m_text_focus = _T("");
	m_text_zoom = _T("");
	m_allow_error_messages = FALSE;
	m_date_display = FALSE;
	m_debug_packets = FALSE;
	m_time_display = FALSE;
	//}}AFX_DATA_INIT

	strcpy(ShutterStr[0], "60\0");
	strcpy(ShutterStr[1], "60\0");
	strcpy(ShutterStr[2], "75\0");
	strcpy(ShutterStr[3], "90\0");
	strcpy(ShutterStr[4], "100\0");
	strcpy(ShutterStr[5], "125\0");
	strcpy(ShutterStr[6], "150\0");
	strcpy(ShutterStr[7], "180\0");
	strcpy(ShutterStr[8], "215\0");
	strcpy(ShutterStr[9], "250\0");
	strcpy(ShutterStr[10], "300\0");
	strcpy(ShutterStr[11], "350\0");
	strcpy(ShutterStr[12], "425\0");
	strcpy(ShutterStr[13], "500\0");
	strcpy(ShutterStr[14], "600\0");
	strcpy(ShutterStr[15], "725\0");
	strcpy(ShutterStr[16], "850\0");
	strcpy(ShutterStr[17], "1,000\0");
	strcpy(ShutterStr[18], "1,250\0");
	strcpy(ShutterStr[19], "1,500\0");
	strcpy(ShutterStr[20], "1,750\0");
	strcpy(ShutterStr[21], "2,000\0");
	strcpy(ShutterStr[22], "2,500\0");
	strcpy(ShutterStr[23], "3,000\0");
	strcpy(ShutterStr[24], "3,500\0");
	strcpy(ShutterStr[25], "4,000\0");
	strcpy(ShutterStr[26], "6,000\0");
	strcpy(ShutterStr[27], "10k\0");
	strcpy(IrisStr[0], "Shut\0");
	strcpy(IrisStr[1], "F28\0");
	strcpy(IrisStr[2], "F22\0");
	strcpy(IrisStr[3], "F19\0");
	strcpy(IrisStr[4], "F16\0");
	strcpy(IrisStr[5], "F14\0");
	strcpy(IrisStr[6], "F11\0");
	strcpy(IrisStr[7], "F9.6\0");
	strcpy(IrisStr[8], "F8\0");
	strcpy(IrisStr[9], "F6.8\0");
	strcpy(IrisStr[10], "F5.6\0");
	strcpy(IrisStr[11], "F4.8\0");
	strcpy(IrisStr[12], "F4\0");
	strcpy(IrisStr[13], "F3.4\0");
	strcpy(IrisStr[14], "F2.8\0");
	strcpy(IrisStr[15], "F2.4\0");
	strcpy(IrisStr[16], "F2\0");
	strcpy(IrisStr[17], "F1.8\0");
	strcpy(GainStr[0], "-3dB\0");
	strcpy(GainStr[1], "0dB\0");
	strcpy(GainStr[2], "3dB\0");
	strcpy(GainStr[3], "6dB\0");
	strcpy(GainStr[4], "9dB\0");
	strcpy(GainStr[5], "12dB\0");
	strcpy(GainStr[6], "15dB\0");
	strcpy(GainStr[7], "18dB\0");
	Zooming = false;
	Focusing = false;
}



void CVisca98Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVisca98Dlg)
	DDX_Control(pDX, IDC_TEXT_FOCUS_STOP_LABEL, m_text_focus_stop_label_ctrl);
	DDX_Control(pDX, IDC_FRAME_FOCUS_STOP, m_frame_focus_stop_ctrl);
	DDX_Control(pDX, IDC_SPIN_ZOOM, m_spin_zoom_control);
	DDX_Control(pDX, IDC_TEXT_FOCUS_NEAR_LABEL, m_focus_near_label_ctrl);
	DDX_Control(pDX, IDC_BUTTON_FOCUS_STOP, m_focus_stop_ctrl);
	DDX_Control(pDX, IDC_TEXT_FOCUS_FAR_LABEL, m_focus_far_label_ctrl);
	DDX_Control(pDX, IDC_TEXT_FOCUS, m_focus_ctrl);
	DDX_Control(pDX, IDC_TEXT_ZOOM_SPEED_LABEL, m_zoom_speed_label_ctrl);
	DDX_Control(pDX, IDC_TEXT_FOCUS_SPEED_LABEL, m_focus_speed_label_ctrl);
	DDX_Control(pDX, IDC_TEXT_FOCUS_SPEED, m_focus_speed_ctrl);
	DDX_Control(pDX, IDC_TEXT_DISPLAY_LABEL, m_text_display_label_ctrl);
	DDX_Control(pDX, IDC_SPIN_FOCUS, m_spin_focus_ctrl);
	DDX_Control(pDX, IDC_FRAME_DISPLAY, m_frame_display_ctrl);
	DDX_Control(pDX, IDC_CHECK_TIME_DISPLAY, m_time_display_ctrl);
	DDX_Control(pDX, IDC_CHECK_DATE_DISPLAY, m_date_display_ctrl);
	DDX_Control(pDX, IDC_BUTTON_WB_TRIGGER, m_wb_trigger_ctrl);
	DDX_Control(pDX, IDC_BUTTON_TIME_SET, m_time_set_ctrl);
	DDX_Control(pDX, IDC_BUTTON_BRIGHTNESS_RESET, m_brightness_reset_cntrl);
	DDX_Control(pDX, IDC_TEXT_ZOOM_SPEED, m_text_zoom_speed_ctrl);
	DDX_Control(pDX, IDC_SPIN_ZOOM_SPEED, m_spin_zoom_speed);
	DDX_Control(pDX, IDC_SPIN_SHUTTER, m_spin_shutter);
	DDX_Control(pDX, IDC_SPIN_IRIS, m_spin_iris);
	DDX_Control(pDX, IDC_SPIN_GAIN, m_spin_gain);
	DDX_Control(pDX, IDC_SPIN_FOCUS_SPEED, m_spin_focus_speed);
	DDX_Control(pDX, IDC_SPIN_BRIGHTNESS, m_spin_brightness);
	DDX_Control(pDX, IDC_SLIDER_ZOOM, m_slider_zoom);
	DDX_Control(pDX, IDC_SLIDER_FOCUS, m_slider_focus);
	DDX_Radio(pDX, IDC_RADIO_AEMODE_AUTO, m_aemode);
	DDX_Radio(pDX, IDC_RADIO_FOCUS_AUTO, m_focus_mode);
	DDX_Radio(pDX, IDC_RADIO_WBMODE_AUTO, m_wbmode);
	DDX_Text(pDX, IDC_TEXT_CAMERA_TYPE, m_text_camera_type);
	DDX_Text(pDX, IDC_TEXT_FOCUS_SPEED, m_text_focus_speed);
	DDX_Text(pDX, IDC_TEXT_GAIN, m_text_gain);
	DDX_Text(pDX, IDC_TEXT_IRIS, m_text_iris);
	DDX_Text(pDX, IDC_TEXT_SHUTTER, m_text_shutter);
	DDX_Text(pDX, IDC_TEXT_ZOOM_SPEED, m_text_zoom_speed);
	DDX_Text(pDX, IDC_TEXT_FOCUS, m_text_focus);
	DDX_Text(pDX, IDC_TEXT_ZOOM, m_text_zoom);
	DDX_Check(pDX, IDC_CHECK_ALLOW_ERROR_MESSAGES, m_allow_error_messages);
	DDX_Check(pDX, IDC_CHECK_DATE_DISPLAY, m_date_display);
	DDX_Check(pDX, IDC_CHECK_DEBUG_PACKETS, m_debug_packets);
	DDX_Check(pDX, IDC_CHECK_TIME_DISPLAY, m_time_display);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CVisca98Dlg, CDialog)
	//{{AFX_MSG_MAP(CVisca98Dlg)
	ON_BN_CLICKED(IDC_BUTTON_TIME_SET, OnButtonTimeSet)
	ON_BN_CLICKED(IDC_BUTTON_WB_TRIGGER, OnButtonWbTrigger)
	ON_BN_CLICKED(IDC_CHECK_ALLOW_ERROR_MESSAGES, OnCheckAllowErrorMessages)
	ON_BN_CLICKED(IDC_CHECK_DATE_DISPLAY, OnCheckDateDisplay)
	ON_BN_CLICKED(IDC_CHECK_DEBUG_PACKETS, OnCheckDebugPackets)
	ON_BN_CLICKED(IDC_CHECK_TIME_DISPLAY, OnCheckTimeDisplay)
	ON_BN_CLICKED(IDC_RADIO_AEMODE_AUTO, OnRadioAemodeAuto)
	ON_BN_CLICKED(IDC_RADIO_AEMODE_BRIGHTNESS, OnRadioAemodeBrightness)
	ON_BN_CLICKED(IDC_RADIO_AEMODE_IRIS, OnRadioAemodeIris)
	ON_BN_CLICKED(IDC_RADIO_AEMODE_MANUAL, OnRadioAemodeManual)
	ON_BN_CLICKED(IDC_RADIO_AEMODE_SHUTTER, OnRadioAemodeShutter)
	ON_BN_CLICKED(IDC_RADIO_FOCUS_AUTO, OnRadioFocusAuto)
	ON_BN_CLICKED(IDC_RADIO_MANUAL, OnRadioManual)
	ON_BN_CLICKED(IDC_RADIO_WBMODE_AUTO, OnRadioWbmodeAuto)
	ON_BN_CLICKED(IDC_RADIO_WBMODE_INDOOR, OnRadioWbmodeIndoor)
	ON_BN_CLICKED(IDC_RADIO_WBMODE_ONE_PUSH, OnRadioWbmodeOnePush)
	ON_BN_CLICKED(IDC_RADIO_WBMODE_OUTDOOR, OnRadioWbmodeOutdoor)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN_BRIGHTNESS, OnDeltaposSpinBrightness)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN_FOCUS, OnDeltaposSpinFocus)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN_FOCUS_SPEED, OnDeltaposSpinFocusSpeed)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN_GAIN, OnDeltaposSpinGain)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN_IRIS, OnDeltaposSpinIris)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN_SHUTTER, OnDeltaposSpinShutter)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN_ZOOM, OnDeltaposSpinZoom)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN_ZOOM_SPEED, OnDeltaposSpinZoomSpeed)
	ON_BN_CLICKED(IDC_BUTTON_BRIGHTNESS_RESET, OnButtonBrightnessReset)
	ON_BN_CLICKED(IDC_BUTTON_UPDATE, OnButtonUpdate)
	ON_BN_CLICKED(IDC_BUTTON_FOCUS_STOP, OnButtonFocusStop)
	ON_WM_HSCROLL()
	ON_WM_LBUTTONDOWN()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVisca98Dlg message handlers

void	CVisca98Dlg::UpdateParameters()
{
	visca->GetCameraState();
	SetDlgState();
}


void CVisca98Dlg::UpdateAEParameters()
{
	Gain = visca->GetGain(1);
	m_text_gain.Format("%s", GainStr[Gain]);
	Iris = visca->GetIris(1);
	m_text_iris.Format("%s", IrisStr[Iris]);
	Shutter = visca->GetShutter(1);
	m_text_shutter.Format("%s", ShutterStr[Shutter]);
}


void	CVisca98Dlg::SetDlgState()
{
	m_CameraType = visca->CameraType;
	m_text_camera_type = (m_CameraType == EVI_330) ? "Camera Model: EVI-330" :
		"Camera Model: EVI-370";

	
	m_spin_zoom_control.SetRange(0, 1023);
	m_spin_zoom_control.SetPos(visca->Zoom);
	m_spin_shutter.SetRange(0, 27);
	m_spin_shutter.SetPos(visca->Shutter);
	m_spin_iris.SetRange(0, 17);
	m_spin_iris.SetPos(visca->Iris);
	m_spin_gain.SetRange(0, 7);
	m_spin_gain.SetPos(visca->Gain);
	m_spin_brightness.SetRange(0, 2);
	m_spin_brightness.SetPos(1);
	m_slider_zoom.SetRange(0, 1023);
	m_slider_zoom.SetPos(visca->Zoom);
	m_slider_zoom.SetTicFreq(102);
	m_text_zoom.Format("%d", visca->Zoom);
	m_aemode = visca->AEMode;
	m_focus_mode = visca->FocusMode;
	m_wbmode = visca->WBMode;

	UpdateAEParameters();
	
	m_allow_error_messages = visca->ALLOW_ERROR_MESSAGES;
	m_debug_packets = visca->DEBUG_PACKETS;
	Zooming = false;
	Focusing = false;
	

	
	if (m_CameraType == EVI_370) {
		m_spin_zoom_speed.SetRange(2, 7);
		ZoomSpeed = visca->ZoomSpeed;
		m_spin_zoom_speed.SetPos(7);
		m_text_zoom_speed.Format("%d", ZoomSpeed);
		FocusSpeed = visca->FocusSpeed;
		m_spin_focus_speed.SetRange(2, 7);
		m_spin_focus_speed.SetPos(7);
		m_slider_focus.SetRange(4096, 40959);
		m_slider_focus.SetPos(((visca->Focus >= 4096) ? visca->Focus : 4096));
		m_slider_focus.SetTicFreq(4096);
		m_text_focus_speed.Format("%d", FocusSpeed);
		m_text_focus.Format("%d", visca->Focus);
		m_time_display = visca->TimeDisplay;
		m_date_display = visca->DateDisplay;
	}

	SetZoomControls();
	SetFocusControls();
	SetWBControls();
	SetTimeControls();
	SetDebugControls();
	SetAEControls();

	UpdateData(false);

}

void	CVisca98Dlg::SetZoomControls()
{
	if (m_CameraType == EVI_330) {
		m_spin_zoom_speed.ShowWindow(false);
		m_text_zoom_speed_ctrl.ShowWindow(false);
		m_zoom_speed_label_ctrl.ShowWindow(false);
	}

}
void	CVisca98Dlg::SetFocusControls()
{
	if (m_CameraType == EVI_330) {
		m_spin_focus_speed.ShowWindow(false);
		m_focus_speed_label_ctrl.ShowWindow(false);
		m_focus_speed_ctrl.ShowWindow(false);
		m_slider_focus.ShowWindow(false);
		m_focus_ctrl.ShowWindow(false);
		m_focus_near_label_ctrl.ShowWindow(true);
		m_focus_far_label_ctrl.ShowWindow(true);
		m_focus_stop_ctrl.ShowWindow(true);
		m_text_focus_stop_label_ctrl.ShowWindow(false);
		m_frame_focus_stop_ctrl.ShowWindow(false);
	}
	else {
		m_focus_near_label_ctrl.ShowWindow(false);
		m_focus_far_label_ctrl.ShowWindow(false);
		m_focus_stop_ctrl.ShowWindow(false);
	}

	switch(visca->FocusMode) {
	case FOCUS_MODE_AUTO:
		m_spin_focus_speed.EnableWindow(false);
		m_spin_focus_ctrl.EnableWindow(false);
		m_slider_focus.EnableWindow(false);
		m_focus_stop_ctrl.EnableWindow(false);

		break;
	case FOCUS_MODE_MANUAL:
		m_spin_focus_speed.EnableWindow(true);
		m_spin_focus_ctrl.EnableWindow(true);
		m_slider_focus.EnableWindow(true);
		m_focus_stop_ctrl.EnableWindow(true);
		break;
	default:
		break;
	}
}
void	CVisca98Dlg::SetWBControls()
{
	switch(visca->WBMode) {
	case WBMODE_AUTO:
		m_wb_trigger_ctrl.EnableWindow(false);
		break;
	case WBMODE_INDOOR:
		m_wb_trigger_ctrl.EnableWindow(false);
		break;
	case WBMODE_OUTDOOR:
		m_wb_trigger_ctrl.EnableWindow(false);
		break;
	case WBMODE_ONE_PUSH:
		m_wb_trigger_ctrl.EnableWindow(true);
		break;
	default:
		break;
	}
}
void	CVisca98Dlg::SetTimeControls()
{
	if (m_CameraType == EVI_330) {
		m_text_display_label_ctrl.ShowWindow(false);
		m_frame_display_ctrl.ShowWindow(false);
		m_time_display_ctrl.ShowWindow(false);
		m_date_display_ctrl.ShowWindow(false);
		m_time_set_ctrl.ShowWindow(false);

	}
}
void	CVisca98Dlg::SetDebugControls()
{
	
}
void	CVisca98Dlg::SetAEControls()
{
	CButton	*b;
	if (m_CameraType == EVI_330) {
		m_spin_iris.ShowWindow(false);
		m_spin_gain.ShowWindow(false);
		b = (CButton *)GetDlgItem(IDC_RADIO_AEMODE_IRIS);
		b->ShowWindow(false);
		b = (CButton *)GetDlgItem(IDC_RADIO_AEMODE_MANUAL);
		b->ShowWindow(false);
	}

	switch(visca->AEMode){
	case AEMODE_FULL_AUTO:
		m_spin_iris.EnableWindow(false);
		m_spin_shutter.EnableWindow(false);
		m_spin_gain.EnableWindow(false);
		m_spin_brightness.EnableWindow(false);
		m_brightness_reset_cntrl.EnableWindow(false);
		break;
	case AEMODE_MANUAL:
		m_spin_iris.EnableWindow(true);
		m_spin_shutter.EnableWindow(true);
		m_spin_gain.EnableWindow(true);
		m_spin_brightness.EnableWindow(false);
		m_brightness_reset_cntrl.EnableWindow(false);
		break;
	case AEMODE_SHUTTER:
		m_spin_iris.EnableWindow(false);
		m_spin_shutter.EnableWindow(true);
		m_spin_gain.EnableWindow(false);
		m_spin_brightness.EnableWindow(false);
		m_brightness_reset_cntrl.EnableWindow(false);
		break;
	case AEMODE_IRIS:
		m_spin_iris.EnableWindow(true);
		m_spin_shutter.EnableWindow(false);
		m_spin_gain.EnableWindow(false);
		m_spin_brightness.EnableWindow(false);
		m_brightness_reset_cntrl.EnableWindow(false);
		break;
	case AEMODE_BRIGHTNESS:
		m_spin_iris.EnableWindow(false);
		m_spin_shutter.EnableWindow(false);
		m_spin_gain.EnableWindow(false);
		m_spin_brightness.EnableWindow(true);
		m_brightness_reset_cntrl.EnableWindow(true);
		break;

	default:
		break;
	}
}

bool	CVisca98Dlg::Initialize(CVisca98 *v)
{

	visca = v;
	if (!visca->Open("COM2\0")) {
		return false;		
	}
	SetDlgState();
	return true;
}

void CVisca98Dlg::OnButtonTimeSet() 
{
	// TODO: Add your control notification handler code here
	visca->SetTime(1);
}

void CVisca98Dlg::OnButtonWbTrigger() 
{
	// TODO: Add your control notification handler code here
	visca->SetWBTrigger(1);
	
}

void CVisca98Dlg::OnCheckAllowErrorMessages() 
{
	// TODO: Add your control notification handler code here
	UpdateData(true);
	visca->ALLOW_ERROR_MESSAGES = m_allow_error_messages;
	UpdateData(false);
}

void CVisca98Dlg::OnCheckDateDisplay() 
{
	// TODO: Add your control notification handler code here
	UpdateData(true);
	if (m_time_display && m_date_display) {
		visca->SetTimeDisplay(1, DISPLAY_DATE_TIME);
	}
	if (!m_time_display && m_date_display) {
		visca->SetTimeDisplay(1, DISPLAY_DATE);
	}
	if (m_time_display && !m_date_display) {
		visca->SetTimeDisplay(1, DISPLAY_TIME);
	}
	if (!m_time_display && !m_date_display) {
		visca->SetTimeDisplay(1, DISPLAY_OFF);
	}
	visca->TimeDisplay = m_time_display;
	visca->DateDisplay = m_date_display;
	UpdateData(false);
}

void CVisca98Dlg::OnCheckDebugPackets() 
{
	// TODO: Add your control notification handler code here
	UpdateData(true);
	visca->DEBUG_PACKETS = m_debug_packets;
	UpdateData(false);
	
}

void CVisca98Dlg::OnCheckTimeDisplay() 
{
	// TODO: Add your control notification handler code here
	UpdateData(true);
	if (m_time_display && m_date_display) {
		visca->SetTimeDisplay(1, DISPLAY_DATE_TIME);
	}
	if (!m_time_display && m_date_display) {
		visca->SetTimeDisplay(1, DISPLAY_DATE);
	}
	if (m_time_display && !m_date_display) {
		visca->SetTimeDisplay(1, DISPLAY_TIME);
	}
	if (!m_time_display && !m_date_display) {
		visca->SetTimeDisplay(1, DISPLAY_OFF);
	}
	visca->TimeDisplay = m_time_display;
	visca->DateDisplay = m_date_display;
	UpdateData(false);
	
}

void CVisca98Dlg::OnRadioAemodeAuto() 
{
	// TODO: Add your control notification handler code here
	UpdateData(true);
	visca->SetAEMode(1, AEMODE_FULL_AUTO);
	SetAEControls();
	UpdateAEParameters();
	UpdateData(false);
}

void CVisca98Dlg::OnRadioAemodeBrightness() 
{
	// TODO: Add your control notification handler code here
	UpdateData(true);
	visca->SetAEMode(1, AEMODE_BRIGHTNESS);
	SetAEControls();
	UpdateAEParameters();
	UpdateData(false);
	
}

void CVisca98Dlg::OnRadioAemodeIris() 
{
	// TODO: Add your control notification handler code here
	UpdateData(true);
	visca->SetAEMode(1, AEMODE_IRIS);
	SetAEControls();
	UpdateAEParameters();
	UpdateData(false);
	
}

void CVisca98Dlg::OnRadioAemodeManual() 
{
	// TODO: Add your control notification handler code here
	UpdateData(true);
	visca->SetAEMode(1, AEMODE_MANUAL);
	SetAEControls();
	UpdateAEParameters();
	UpdateData(false);
	
}

void CVisca98Dlg::OnRadioAemodeShutter() 
{
	// TODO: Add your control notification handler code here
	UpdateData(true);
	visca->SetAEMode(1, AEMODE_SHUTTER);
	SetAEControls();
	UpdateAEParameters();
	UpdateData(false);
	
}

void CVisca98Dlg::OnRadioFocusAuto() 
{
	int		focus, old_focus;
	// TODO: Add your control notification handler code here
	visca->SetFocusMode(1, FOCUS_MODE_AUTO);
	SetFocusControls();
	Focusing = true;
	old_focus = 0;
	UpdateData(true);
	//	m_focus_mode = FOCUS_MODE_AUTO;
	do {
		focus = visca->GetFocus(1);
		m_text_focus.Format("%d", focus);
		m_slider_focus.SetPos(focus);
		lookmsg();
		if (abs(focus - old_focus) < 1000) Focusing = false;
		old_focus = focus;
		UpdateData(false);
	} while(Focusing);
	
}

void CVisca98Dlg::OnRadioManual() 
{
	// TODO: Add your control notification handler code here
//	m_focus_mode = FOCUS_MODE_MANUAL;
	UpdateData(true);
	visca->SetFocusMode(1, FOCUS_MODE_MANUAL);
	SetFocusControls();
	
}

void CVisca98Dlg::OnRadioWbmodeAuto() 
{
	// TODO: Add your control notification handler code here
	visca->SetWBMode(1, WBMODE_AUTO);
	UpdateData(true);
	SetWBControls();
}

void CVisca98Dlg::OnRadioWbmodeIndoor() 
{
	// TODO: Add your control notification handler code here
	visca->SetWBMode(1, WBMODE_INDOOR);
	UpdateData(true);
	SetWBControls();
	
}

void CVisca98Dlg::OnRadioWbmodeOnePush() 
{
	// TODO: Add your control notification handler code here
	visca->SetWBMode(1, WBMODE_ONE_PUSH);
	UpdateData(true);
	SetWBControls();
	
}

void CVisca98Dlg::OnRadioWbmodeOutdoor() 
{
	// TODO: Add your control notification handler code here
	visca->SetWBMode(1, WBMODE_OUTDOOR);
	UpdateData(true);
	SetWBControls();
	
}

void CVisca98Dlg::OnDeltaposSpinBrightness(NMHDR* pNMHDR, LRESULT* pResult) 
{
	int		val;
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here
	(val = pNMUpDown->iDelta);

	visca->SetBrightness(1, ((val > 0) ? VALUE_UP : VALUE_DOWN));

	UpdateAEParameters();
	UpdateData(false);
	
	*pResult = 0;
}

void CVisca98Dlg::OnDeltaposSpinFocus(NMHDR* pNMHDR, LRESULT* pResult) 
{
	int		focus;
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here
	if (m_CameraType == EVI_370) {
		if (pNMUpDown->iDelta  == -1) {
			visca->SetFocusOut(1, FocusSpeed);
			Focusing = true;
			do {
				focus = visca->GetFocus(1);
				if (focus >= 40000) Focusing = false;
				m_slider_focus.SetPos(focus);
				m_text_focus.Format("%d", focus);
			
				lookmsg();
			} while (Focusing);
			
		} 
		else {
			visca->SetFocusIn(1, FocusSpeed);
			Focusing = true;
			do {
				focus = visca->GetFocus(1);
				if (focus <= 4200) Focusing = false;
				m_slider_focus.SetPos(focus);
				m_text_focus.Format("%d", focus);
			
				lookmsg();
			} while (Focusing);
			
		} 
		UpdateData(false);
	}

	if (m_CameraType == EVI_330) {
		if (pNMUpDown->iDelta  == -1) {
			visca->SetFocusOut(1);
		}
		if (pNMUpDown->iDelta  == 1) {
			visca->SetFocusIn(1);
		}
	}
	
	*pResult = 0;
}

void CVisca98Dlg::OnDeltaposSpinFocusSpeed(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here
	FocusSpeed = visca->FocusSpeed;
	FocusSpeed += pNMUpDown->iDelta;
	if (FocusSpeed < 2) FocusSpeed = 2;
	if (FocusSpeed > 7) FocusSpeed = 7;

	visca->FocusSpeed = FocusSpeed;
	m_text_focus_speed.Format("%d", FocusSpeed);
	UpdateData(false);
	
	*pResult = 0;
}

void CVisca98Dlg::OnDeltaposSpinGain(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here
	Gain = visca->GetGain(1);
	Gain += pNMUpDown->iDelta;
	if (Gain < 0) Gain = 0;
	if (Gain > 7) Gain = 7;

	visca->SetGain(1, Gain);
	UpdateAEParameters();

	UpdateData(false);
	
	*pResult = 0;
}

void CVisca98Dlg::OnDeltaposSpinIris(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here
	Iris = visca->GetIris(1);
	Iris += pNMUpDown->iDelta;
	if (Iris < 0) Iris = 0;
	if (Iris > 17) Iris = 17;

	visca->SetIris(1, Iris);
	UpdateAEParameters();
	UpdateData(false);
	
	*pResult = 0;
}

void CVisca98Dlg::OnDeltaposSpinShutter(NMHDR* pNMHDR, LRESULT* pResult) 
{
	int		val;
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here
	Shutter = visca->GetShutter(1);
	Shutter += (val = pNMUpDown->iDelta);
	if (Shutter < 0) Shutter = 0;
	if (Shutter > 27) Shutter = 27;


	visca->SetShutterStep(1, ((val > 0) ? VALUE_UP : VALUE_DOWN));
	UpdateAEParameters();
	UpdateData(false);
	
	*pResult = 0;
}

void CVisca98Dlg::OnDeltaposSpinZoom(NMHDR* pNMHDR, LRESULT* pResult) 
{
	int		zoom;
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here
	if (pNMUpDown->iDelta  == -1) {
		visca->SetZoomOut(1, ZoomSpeed);
		Zooming = true;
		do {
			zoom = visca->GetZoom(1);
			if (zoom == 0) Zooming = false;
			m_slider_zoom.SetPos(zoom);
			m_text_zoom.Format("%d", zoom);
		
			lookmsg();
		} while (Zooming);

	} 
	else {
		visca->SetZoomIn(1, ZoomSpeed);
		Zooming = true;
		do {
			zoom = visca->GetZoom(1);
			if (zoom == 1023) Zooming = false;
			m_slider_zoom.SetPos(zoom);
			m_text_zoom.Format("%d", zoom);
		
			lookmsg();
		} while (Zooming);

	}
	UpdateData(false);

	*pResult = 0;
}

void CVisca98Dlg::OnDeltaposSpinZoomSpeed(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here
	ZoomSpeed = visca->ZoomSpeed;
	ZoomSpeed += pNMUpDown->iDelta;
	if (ZoomSpeed < 2) ZoomSpeed = 2;
	if (ZoomSpeed > 7) ZoomSpeed = 7;

	visca->ZoomSpeed = ZoomSpeed;
	m_text_zoom_speed.Format("%d", ZoomSpeed);
	UpdateData(false);
	*pResult = 0;
}

void CVisca98Dlg::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();
}

void CVisca98Dlg::OnButtonBrightnessReset() 
{
	// TODO: Add your control notification handler code here
	visca->SetBrightness(1, VALUE_RESET);
	UpdateAEParameters();
	UpdateData(false);
}

void CVisca98Dlg::OnButtonUpdate() 
{
	// TODO: Add your control notification handler code here);
	UpdateParameters();
}

void CVisca98Dlg::OnButtonFocusStop() 
{
	// TODO: Add your control notification handler code here
	visca->SetFocusStop(1);
}

void CVisca98Dlg::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{

	// TODO: Add your message handler code here and/or call default
	if (pScrollBar == (CScrollBar *)(&m_slider_zoom)) {
		SetZoom(m_slider_zoom.GetPos());
	} else if (pScrollBar == (CScrollBar *)(&m_slider_focus)) {
		SetFocus(m_slider_focus.GetPos());
	} else {
		CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
	}

}


void	CVisca98Dlg::SetZoom(int zoom)
{
	visca->SetZoom(1, zoom);
	m_text_zoom.Format("%d", zoom);
	UpdateData(false);

}

void	CVisca98Dlg::SetFocus(int focus)
{
	visca->SetFocus(1, focus);
	m_text_focus.Format("%d", focus);
	UpdateData(false);

}

void CVisca98Dlg::OnLButtonDown(UINT nFlags, CPoint point) 
{
	int		zoom, focus;
	// TODO: Add your message handler code here and/or call default
	if (Zooming) {
		visca->SetZoomStop(1);
		zoom = visca->GetZoom(1);
		m_slider_zoom.SetPos(zoom);
		m_text_zoom.Format("%d", zoom);
		Zooming = false;
	}
	if (Focusing) {
		visca->SetFocusStop(1);
		focus = visca->GetFocus(1);
		m_slider_focus.SetPos(focus);
		m_text_focus.Format("%d", focus);
		Focusing = false;
	}


	CDialog::OnLButtonDown(nFlags, point);
}
