// DebugWindow.h : header file
//
// Copyright 1996 David Sarnoff Research Center
// All Rights Reserved
// Shop Order: 38311
// Author: mkl
//
// (#) $Id: debugwindow.h,v 1.1 1997/07/30 18:13:20 jeledath Exp $


/////////////////////////////////////////////////////////////////////////////
// CDebugWindow dialog

class CDebugWindow : public CDialog
{
// Construction
public:
	CDebugWindow(CWnd* pParent = NULL);   // standard constructor

	BOOL bPaused;

// Dialog Data
	//{{AFX_DATA(CDebugWindow)
	enum { IDD = IDD_DIALOG4};
	CButton	m_okBtn;
	CListBox	m_listbox;
	CButton	m_saveBtn;
	CButton	m_printBtn;
	CButton	m_clearBtn;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDebugWindow)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDebugWindow)
	afx_msg void OnButtonClear();
	afx_msg void OnButtonSave();
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonPause();
	afx_msg void OnButtonPrint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnHide();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
